Bug 1241255 - scale failed : Unknown status FAILED due to "AttributeError: 'module' object has no attribute 'MessagingTimeout'"
Summary: scale failed : Unknown status FAILED due to "AttributeError: 'module' object ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: Director
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ga
: Director
Assignee: James Slagle
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1234153
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-08 20:56 UTC by Mike Burns
Modified: 2015-08-05 13:58 UTC (History)
16 users (show)

Fixed In Version: instack-undercloud-2.1.2-19.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1234153
Environment:
Last Closed: 2015-08-05 13:58:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
heat deployment-show output (20.87 KB, text/plain)
2015-07-14 23:01 UTC, Marius Cornea
no flags Details


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239345 None None None Never
Launchpad 1466239 None None None Never
OpenStack gerrit 197964 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Comment 6 Marius Cornea 2015-07-14 23:01:12 UTC
Started with a 1 controller, 1 compute deployment, virt environment without network isolation.

I ran the following but the stack update eventually failed:

openstack overcloud deploy --plan-uuid 3b7779f5-8206-4913-909e-eb6e1e9d9f63  --control-scale 3 --ceph-storage-scale 1

Attaching the output of heat deployment-show.

Comment 7 Marius Cornea 2015-07-14 23:01:58 UTC
Created attachment 1052106 [details]
heat deployment-show output

Comment 8 Ryan Brown 2015-07-14 23:09:30 UTC
This failure doesn't seem to have the AttributeError failure. Rather, looks like a pacemaker issue. "Error: cluster is not currently running on this node" is in the puppet log you attached.

Also, I think --plan-uuid is deprecated in favor of --plan, but I'm not certain.

Comment 9 Mike Burns 2015-07-14 23:25:42 UTC
(In reply to Ryan Brown from comment #8)
> This failure doesn't seem to have the AttributeError failure. Rather, looks
> like a pacemaker issue. "Error: cluster is not currently running on this
> node" is in the puppet log you attached.

So this is a different issue and should be filed separately. Moving back to ON_QA

> 
> Also, I think --plan-uuid is deprecated in favor of --plan, but I'm not
> certain.

Yes, but it still works (until the next puddle)

Comment 10 Marius Cornea 2015-07-15 07:15:32 UTC
You are right, this is different issue than the one reported initially in this bug. I'm going to close this and open another one for the new issue. Thanks.

Comment 12 errata-xmlrpc 2015-08-05 13:58:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.